Package in.cdac.medinfo.csnotk.csnolib.commons

## Class Constants

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.commons.Constants

-     public final class Constants
      extends java.lang.Object

  Defines constants used in application.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ACCEPTABILITY` |
    `static java.lang.String` | `ACTIVE` |
    `static java.lang.String` | `ATTRIBUTE_TYPE` |
    `static java.lang.String[]` | `BRACKETS` |
    `static java.lang.String` | `CHARACTERISTICTYPEID` |
    `static java.lang.String` | `CHILDID` |
    `static java.lang.String` | `CHILDREN` |
    `static java.lang.String` | `CLASS_NAME` |
    `static java.lang.String` | `CONCEPT_CHECKPONT` |
    `static java.lang.String` | `CONCEPT_CLASS` |
    `static java.lang.String` | `CONCEPT_FSN` |
    `static java.lang.String` | `CONCEPT_STATE` |
    `static java.lang.String` | `CONCEPTID` |
    `static int` | `CONCRETE_RELATIONSHIP_ALL_RECORDS` |
    `static int` | `CONCRETE_RELATIONSHIP_EXTENSION_RECORDS_COUNT` |
    `static java.lang.String` | `COUNTOFCHILDREN` |
    `static java.lang.String` | `CREFSET` |
    `static java.lang.String` | `DATA_DIR` |
    `static java.lang.String` | `DEFINITIONSTATUS` |
    `static java.lang.String` | `DESC_CHECKPONT` |
    `static int` | `DESCRIPTION_ALL_RECORDS` |
    `static java.lang.String` | `DESCRIPTION_CLASS` |
    `static java.lang.String` | `DESCRIPTION_MODID` |
    `static java.lang.String` | `DESTINATION` |
    `static java.lang.String` | `DISTINCT` |
    `static java.lang.String` | `EFFECTIVETIME` |
    `static java.lang.String` | `ERROR_LOG_DIR` |
    `static java.lang.String` | `ERROR_LOG_FILE_NAME` |
    `static java.lang.String` | `FULL_CONCEPT` |
    `static java.lang.String` | `HIERARCHY` |
    `static java.lang.String` | `ID` |
    `static int` | `INDEX_OFFSET` |
    `static java.lang.String` | `INDIA_MODULE_ID` |
    `static java.lang.String` | `IS_PREFERRED_TERM` |
    `static java.lang.String` | `ISIMMEDIATECHILDREN` |
    `static java.lang.String` | `LANG_REFSET` |
    `static java.lang.String` | `LINE_NUMBER` |
    `static java.lang.String` | `MAP_INDEX` |
    `static java.lang.String` | `MAX_RECORDS` |
    `static java.lang.String` | `MESSAGE_DESCRIPTION` |
    `static java.lang.String` | `MESSAGE_LOG_FILE_NAME` |
    `static java.lang.String` | `METHOD_NAME` |
    `static java.lang.String` | `MODIFIERID` |
    `static java.lang.String` | `MODULEID` |
    `static java.lang.String` | `NEW_LINE` |
    `static java.lang.String` | `PARENT` |
    `static java.lang.String` | `PARENTDIR` |
    `static java.lang.String` | `PARENTID` |
    `static java.lang.String` | `PREFERRED_NAME` |
    `static java.lang.String` | `REFERENCEDCOMPONENT` |
    `static java.lang.String` | `REFINDEX` |
    `static java.lang.String` | `REFSET` |
    `static java.lang.String` | `REFSET_DIR` |
    `static java.lang.String` | `REFSET_ID` |
    `static java.lang.String` | `REFSETCOUNT` |
    `static java.lang.String` | `REFSETTERM` |
    `static java.lang.String` | `REL_TYPE_INDEX` |
    `static java.lang.String` | `RELATION_INDEX` |
    `static java.lang.String` | `RELATION_TYPE` |
    `static java.lang.String` | `RELATION_TYPE_ALL` |
    `static int` | `RELATION_TYPE_ALL_RECORDS` |
    `static int` | `RELATIONSHIP_ALL_RECORDS` |
    `static java.lang.String` | `RELATIONSHIP_CLASS` |
    `static int` | `RELATIONSHIP_EXTENSION_RECORDS_COUNT` |
    `static int` | `RELATIONSHIP_TC_ALL_RECORDS` |
    `static java.lang.String` | `RELATIONSHIP_TC_CLASS` |
    `static java.lang.String` | `RELATIONSHIPGROUP` |
    `static java.lang.String` | `SEARCH_RETURNLIMIT` |
    `static java.lang.String` | `SEARCH_TERM` |
    `static int` | `SEMANTIC_ALL_RECORDS` |
    `static java.lang.String` | `SEMANTIC_TAG` |
    `static java.lang.String` | `SEMINDEX` |
    `static java.lang.String` | `SIMPLE_MAP_INDEX` |
    `static java.lang.String` | `SIMPLE_MAP_TARGET` |
    `static int` | `SIMPLEMAP_RECORDS_COUNT` |
    `static java.lang.String` | `SNOINDEX` |
    `static java.lang.String` | `SNOMED_INT_DIR` |
    `static java.lang.String` | `SOURCE` |
    `static java.lang.String` | `STATE` |
    `static java.lang.String` | `SUGGEST_RETURNLIMIT` |
    `static java.lang.String` | `TAB` |
    `static java.lang.String` | `TCINDEX` |
    `static java.lang.String` | `TERM` |
    `static java.lang.String` | `TOP_SUGGEST_RETURNLIMIT` |
    `static int` | `TOTAL_HIT_THRESHOLD` |
    `static java.lang.String` | `TYPE` |
    `static java.lang.String` | `TYPEID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Constants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DESCRIPTION_CLASS

          public static java.lang.String DESCRIPTION_CLASS

    - #### CONCEPT_CLASS

          public static java.lang.String CONCEPT_CLASS

    - #### RELATIONSHIP_CLASS

          public static java.lang.String RELATIONSHIP_CLASS

    - #### RELATIONSHIP_TC_CLASS

          public static java.lang.String RELATIONSHIP_TC_CLASS

    - #### INDIA_MODULE_ID

          public static final java.lang.String INDIA_MODULE_ID

      See Also:
        Constant Field Values

    - #### ID

          public static final java.lang.String ID

      See Also:
        Constant Field Values

    - #### ACTIVE

          public static final java.lang.String ACTIVE

      See Also:
        Constant Field Values

    - #### CONCEPTID

          public static final java.lang.String CONCEPTID

      See Also:
        Constant Field Values

    - #### TYPEID

          public static final java.lang.String TYPEID

      See Also:
        Constant Field Values

    - #### TERM

          public static final java.lang.String TERM

      See Also:
        Constant Field Values

    - #### HIERARCHY

          public static final java.lang.String HIERARCHY

      See Also:
        Constant Field Values

    - #### IS_PREFERRED_TERM

          public static final java.lang.String IS_PREFERRED_TERM

      See Also:
        Constant Field Values

    - #### CONCEPT_STATE

          public static final java.lang.String CONCEPT_STATE

      See Also:
        Constant Field Values

    - #### CONCEPT_FSN

          public static final java.lang.String CONCEPT_FSN

      See Also:
        Constant Field Values

    - #### PREFERRED_NAME

          public static final java.lang.String PREFERRED_NAME

      See Also:
        Constant Field Values

    - #### DEFINITIONSTATUS

          public static final java.lang.String DEFINITIONSTATUS

      See Also:
        Constant Field Values

    - #### DESCRIPTION_MODID

          public static final java.lang.String DESCRIPTION_MODID

      See Also:
        Constant Field Values

    - #### EFFECTIVETIME

          public static final java.lang.String EFFECTIVETIME

      See Also:
        Constant Field Values

    - #### MODULEID

          public static final java.lang.String MODULEID

      See Also:
        Constant Field Values

    - #### RELATIONSHIPGROUP

          public static final java.lang.String RELATIONSHIPGROUP

      See Also:
        Constant Field Values

    - #### CHARACTERISTICTYPEID

          public static final java.lang.String CHARACTERISTICTYPEID

      See Also:
        Constant Field Values

    - #### MODIFIERID

          public static final java.lang.String MODIFIERID

      See Also:
        Constant Field Values

    - #### SOURCE

          public static final java.lang.String SOURCE

      See Also:
        Constant Field Values

    - #### DESTINATION

          public static final java.lang.String DESTINATION

      See Also:
        Constant Field Values

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

    - #### CONCEPT_CHECKPONT

          public static java.lang.String CONCEPT_CHECKPONT

    - #### DESC_CHECKPONT

          public static java.lang.String DESC_CHECKPONT

    - #### SEARCH_TERM

          public static final java.lang.String SEARCH_TERM

      See Also:
        Constant Field Values

    - #### STATE

          public static final java.lang.String STATE

      See Also:
        Constant Field Values

    - #### SEMANTIC_TAG

          public static final java.lang.String SEMANTIC_TAG

      See Also:
        Constant Field Values

    - #### RELATION_TYPE

          public static final java.lang.String RELATION_TYPE

      See Also:
        Constant Field Values

    - #### RELATION_TYPE_ALL

          public static final java.lang.String RELATION_TYPE_ALL

      See Also:
        Constant Field Values

    - #### ACCEPTABILITY

          public static final java.lang.String ACCEPTABILITY

      See Also:
        Constant Field Values

    - #### MAX_RECORDS

          public static final java.lang.String MAX_RECORDS

      See Also:
        Constant Field Values

    - #### LANG_REFSET

          public static final java.lang.String LANG_REFSET

      See Also:
        Constant Field Values

    - #### FULL_CONCEPT

          public static final java.lang.String FULL_CONCEPT

      See Also:
        Constant Field Values

    - #### REFSET_ID

          public static final java.lang.String REFSET_ID

      See Also:
        Constant Field Values

    - #### REFSET

          public static final java.lang.String REFSET

      See Also:
        Constant Field Values

    - #### CREFSET

          public static final java.lang.String CREFSET

      See Also:
        Constant Field Values

    - #### REFSETTERM

          public static final java.lang.String REFSETTERM

      See Also:
        Constant Field Values

    - #### DISTINCT

          public static final java.lang.String DISTINCT

      See Also:
        Constant Field Values

    - #### REFSETCOUNT

          public static final java.lang.String REFSETCOUNT

      See Also:
        Constant Field Values

    - #### CHILDID

          public static final java.lang.String CHILDID

      See Also:
        Constant Field Values

    - #### PARENTID

          public static final java.lang.String PARENTID

      See Also:
        Constant Field Values

    - #### COUNTOFCHILDREN

          public static final java.lang.String COUNTOFCHILDREN

      See Also:
        Constant Field Values

    - #### ISIMMEDIATECHILDREN

          public static final java.lang.String ISIMMEDIATECHILDREN

      See Also:
        Constant Field Values

    - #### REFERENCEDCOMPONENT

          public static final java.lang.String REFERENCEDCOMPONENT

      See Also:
        Constant Field Values

    - #### SIMPLE_MAP_TARGET

          public static final java.lang.String SIMPLE_MAP_TARGET

      See Also:
        Constant Field Values

    - #### DESCRIPTION_ALL_RECORDS

          public static int DESCRIPTION_ALL_RECORDS

    - #### RELATIONSHIP_ALL_RECORDS

          public static int RELATIONSHIP_ALL_RECORDS

    - #### RELATIONSHIP_TC_ALL_RECORDS

          public static int RELATIONSHIP_TC_ALL_RECORDS

    - #### CONCRETE_RELATIONSHIP_ALL_RECORDS

          public static int CONCRETE_RELATIONSHIP_ALL_RECORDS

    - #### RELATIONSHIP_EXTENSION_RECORDS_COUNT

          public static int RELATIONSHIP_EXTENSION_RECORDS_COUNT

    - #### CONCRETE_RELATIONSHIP_EXTENSION_RECORDS_COUNT

          public static int CONCRETE_RELATIONSHIP_EXTENSION_RECORDS_COUNT

    - #### SIMPLEMAP_RECORDS_COUNT

          public static int SIMPLEMAP_RECORDS_COUNT

    - #### SEMANTIC_ALL_RECORDS

          public static int SEMANTIC_ALL_RECORDS

    - #### RELATION_TYPE_ALL_RECORDS

          public static int RELATION_TYPE_ALL_RECORDS

    - #### TOTAL_HIT_THRESHOLD

          public static final int TOTAL_HIT_THRESHOLD

      See Also:
        Constant Field Values

    - #### TCINDEX

          public static final java.lang.String TCINDEX

      See Also:
        Constant Field Values

    - #### SNOINDEX

          public static final java.lang.String SNOINDEX

      See Also:
        Constant Field Values

    - #### REFINDEX

          public static final java.lang.String REFINDEX

      See Also:
        Constant Field Values

    - #### SEMINDEX

          public static final java.lang.String SEMINDEX

      See Also:
        Constant Field Values

    - #### REL_TYPE_INDEX

          public static final java.lang.String REL_TYPE_INDEX

      See Also:
        Constant Field Values

    - #### PARENTDIR

          public static final java.lang.String PARENTDIR

      See Also:
        Constant Field Values

    - #### CHILDREN

          public static final java.lang.String CHILDREN

      See Also:
        Constant Field Values

    - #### PARENT

          public static final java.lang.String PARENT

      See Also:
        Constant Field Values

    - #### RELATION_INDEX

          public static final java.lang.String RELATION_INDEX

      See Also:
        Constant Field Values

    - #### MAP_INDEX

          public static final java.lang.String MAP_INDEX

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_TYPE

          public static final java.lang.String ATTRIBUTE_TYPE

      See Also:
        Constant Field Values

    - #### SIMPLE_MAP_INDEX

          public static final java.lang.String SIMPLE_MAP_INDEX

      See Also:
        Constant Field Values

    - #### INDEX_OFFSET

          public static final int INDEX_OFFSET

      See Also:
        Constant Field Values

    - #### DATA_DIR

          public static final java.lang.String DATA_DIR

      See Also:
        Constant Field Values

    - #### ERROR_LOG_DIR

          public static final java.lang.String ERROR_LOG_DIR

      See Also:
        Constant Field Values

    - #### SNOMED_INT_DIR

          public static final java.lang.String SNOMED_INT_DIR

      See Also:
        Constant Field Values

    - #### REFSET_DIR

          public static final java.lang.String REFSET_DIR

      See Also:
        Constant Field Values

    - #### SEARCH_RETURNLIMIT

          public static final java.lang.String SEARCH_RETURNLIMIT

      See Also:
        Constant Field Values

    - #### SUGGEST_RETURNLIMIT

          public static final java.lang.String SUGGEST_RETURNLIMIT

      See Also:
        Constant Field Values

    - #### TOP_SUGGEST_RETURNLIMIT

          public static final java.lang.String TOP_SUGGEST_RETURNLIMIT

      See Also:
        Constant Field Values

    - #### ERROR_LOG_FILE_NAME

          public static final java.lang.String ERROR_LOG_FILE_NAME

      See Also:
        Constant Field Values

    - #### MESSAGE_LOG_FILE_NAME

          public static final java.lang.String MESSAGE_LOG_FILE_NAME

      See Also:
        Constant Field Values

    - #### NEW_LINE

          public static final java.lang.String NEW_LINE

      See Also:
        Constant Field Values

    - #### TAB

          public static final java.lang.String TAB

      See Also:
        Constant Field Values

    - #### CLASS_NAME

          public static final java.lang.String CLASS_NAME

      See Also:
        Constant Field Values

    - #### METHOD_NAME

          public static final java.lang.String METHOD_NAME

      See Also:
        Constant Field Values

    - #### LINE_NUMBER

          public static final java.lang.String LINE_NUMBER

      See Also:
        Constant Field Values

    - #### MESSAGE_DESCRIPTION

          public static final java.lang.String MESSAGE_DESCRIPTION

      See Also:
        Constant Field Values

    - #### BRACKETS

          public static final java.lang.String[] BRACKETS

  - ### Constructor Detail

    - #### Constants

          public Constants()